Bug 1364478 - [RFE] Support adding ceph storage networks to the compute nodes
Summary: [RFE] Support adding ceph storage networks to the compute nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks: 1291946
TreeView+ depends on / blocked
 
Reported: 2016-08-05 12:56 UTC by John Fulton
Modified: 2016-12-14 15:49 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost
Doc Type: Enhancement
Doc Text:
Feature: Allow usage of any isolated network on any role. Reason: Some scenarios, like the HCI deployment where 'ceph-osd' is colocated with 'nova-compute', assume that nodes have access to multiple isolated networks, like it happens for the controller nodes. Result: Custom NIC templates can now configure any of the isolated network on any role.
Clone Of:
Environment:
Last Closed: 2016-12-14 15:49:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
RDO 2857 None None None 2016-10-03 15:09:18 UTC
OpenStack gerrit 249533 None None None 2016-08-10 15:13:46 UTC
OpenStack gerrit 375404 None None None 2016-09-23 12:15:10 UTC
Red Hat Bugzilla 1291946 None CLOSED [RFE] Support for co-located ceph-osd and nova-compute (Hyper-converged) 2018-05-15 08:30:01 UTC

Description John Fulton 2016-08-05 12:56:32 UTC
In previous releases, the compute role contains the same networks as
the ceph storage role with the exception of the storage management
network [1]. In Liberty this could be achieved by modifying
advanced-networking.yaml [2]. In Newton all ports are now wired into
all nodes but not enabled [3]. The RFE requests that a user may easily
enable them in Director for OSP10 should the user choose to deploy
OSDs on the same nodes as computes (hyperconverged as requested in RH BZ
1291946). In order to implement this the overcloud image will need to
be built with the puppet to enable this port [4] and the compute
configuration must happen after the controllers. 

[1] 
Controller:
- Provisioning
- Internal API
- Storage
- Storage Management
- External

Compute:
- Provisioning
- Internal API
- Storage
- Tenant

Ceph Storage:
- Provisioning
- Storage
- Storage Management

[2] Add the following to templates/advanced-networking.yaml
OS::TripleO::Compute::Ports::StoragePort: /home/stack/templates/network/ports/storage.yaml

[3] https://review.openstack.org/#/c/338113

[4] https://review.openstack.org/#/c/340286

Comment 2 John Fulton 2016-09-20 12:58:19 UTC
A new upstream submission will be coming in for review with lines 3 and 4 of the following uncommented: 

 https://review.openstack.org/#/c/338113/10/environments/hyperconverged-ceph.yaml

The user should then be able to: 

openstack overcloud deploy ... -e ~/templates/environments/hyperconverged-ceph.yaml ...

Submission will then be linked here.

Comment 3 Giulio Fidente 2016-09-23 13:57:45 UTC
The HCI environment file (environments/hyperconverged-ceph.yaml) will default to use of NETISO on the compute nodes.

Comment 4 John Fulton 2016-10-03 16:16:21 UTC
FYI: environments/hyperconverged-ceph.yaml depends on python-heatclient 1.5 or newer. As per https://review.rdoproject.org/r/#/c/2857 said heatclient is merged in RDO (however there's a slight upstream divergence here which should get fixed too https://review.rdoproject.org/r/#/c/2857).

Comment 7 Yogev Rabl 2016-11-24 08:20:16 UTC
Verified on OSP 10 openstack-tripleo-heat-templates-5.1.0-3.el7ost.noarch

Comment 9 errata-xmlrpc 2016-12-14 15:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.